const palette = {
    "primary": {
        "main": "#158BAE",
        "contrastText": "#FFFFFF",
        "buttonState": {
            "hovered": "#158BAE",
            "disabled": "#158BAE",
            "pressed": "#158BAE",
            "focused": "#158BAE",
            "disabledText": "#158BAE"
        },
        "darkMode": {
            "main": "#158BAE",
            "contrastText": "#FFFFFF",
            "buttonState": {
                "hovered": "#158BAE",
                "hoveredText": "#158BAE",
                "pressed": "#158BAE",
                "pressedText": "#158BAE",
                "focused": "#158BAE",
                "disabled": "#158BAE"
            }
        }
    },
    "secondary": {
        "main": "#2CD5C4",
        "contrastText": "#252525",
        "buttonState": {
            "hovered": "#EDEDED",
            "pressed": "#E0E0E0",
            "focused": "#FFFFFF",
            "disabled": "#E0E0E0",
            "disabledText": "#8C8C8C"
        }
    },
    "accentColorA": {
        "main": "#440099",
        "contrastText": "#FFFFFF",
        "dark": "#F56767",
        "buttonState": {
            "hovered": "#440099",
            "pressed": "#B71830",
            "focused": "#F56767",
            "disabled": "#F59F9F",
            "disabledText": "#FDE7E7"
        }
    },
    "accentColorB": {
        "main": "#60C6E3",
        "contrastText": "#FFFFFF",
        "dark": "#F56767",
        "buttonState": {
            "hovered": "#0DA7CB",
            "pressed": "#0086A5",
            "focused": "#60C6E3",
            "disabled": "#F59F9F",
            "disabledText": "#FDE7E7"
        }
    },
    "accentColorC": {
        "main": "#6BC56A",
        "contrastText": "#FFFFFF",
        "dark": "#F56767",
        "buttonState": {
            "hovered": "#4AAE49",
            "pressed": "#0D870D",
            "focused": "#6BC56A",
            "disabled": "#F59F9F",
            "disabledText": "#FDE7E7"
        },
        "darkMode": {
            "main": "#71CA70" ,
            "contrastText": "#252525"
        }
    },
    "success": {
        "main": "#76BA99",
        "contrastText": "#FFFFFF",
        "dark": "#F56767",
        "buttonState": {
            "hovered": "#5BAC85",
            "pressed": "#509875",
            "focused": "#76BA99",
            "disabled": "#F59F9F",
            "disabledText": "#FDE7E7"
        },
        "darkMode": {
            "main": "#5BAC85" ,
            "contrastText": "#252525"
        }
    },
    "warning": {
        "main": "#FD983B",
        "contrastText": "#FFFFFF"
    }, 
    "error": {
        "main": "#C81D1D",
        "contrastText": "#FFFFFF",
        "darkMode": {
            "main": "#E93E3E",
            "contrastText": "#252525"
        }
    },
    "info": {
        "main": "#3783B9",
        "contrastText": "#FFFFFF"
    }
};

const theme = {
    palette,
};

export default theme;
